Enables your perl scripts to "be modern"
Switch branches/tags
Nothing to show
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
lib/Acme/Be
t
.gitignore
.travis.yml
Build.PL
Changes
MANIFEST
Makefile.PL
README

README

Acme-Be-Modern

This is a source filter that enables you to write 'be modern' instead
of 'use Modern::Perl'. In other words you can replace one line (17
characters) with two lines (31 characters), and at the same time make
you program less stable. All this for free!

INSTALLATION

To install this module, run the following commands:

	perl Build.PL
	./Build
	./Build test
	./Build install

SUPPORT AND DOCUMENTATION

After installing, you can find documentation for this module with the
perldoc command.

    perldoc Acme::Be::Modern

You can also look for information at:

    RT, CPAN's request tracker
        http://rt.cpan.org/NoAuth/Bugs.html?Dist=Acme-Be-Modern

    AnnoCPAN, Annotated CPAN documentation
        http://annocpan.org/dist/Acme-Be-Modern

    CPAN Ratings
        http://cpanratings.perl.org/d/Acme-Be-Modern

    Search CPAN
        http://search.cpan.org/dist/Acme-Be-Modern/


LICENSE AND COPYRIGHT

Copyright (C) 2011 Søren Lund

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.